### Method

# Gtk Snapshot push_composite

since: 4.22

#### Declaration [src]

    void
    gtk_snapshot_push_composite (
      GtkSnapshot* snapshot,
      GskPorterDuff op
    )

#### Description [src]

Until the first call to `gtk_snapshot_pop()`, the mask image for the mask operation will be recorded.

After that call, the child image will be recorded until the second call to `gtk_snapshot_pop()`.

Calling this function requires 2 subsequent calls to gtk_snapshot_pop().

Available since: 4.22

#### Parameters

`op`

  Type: `GskPorterDuff`

  The Porter/Duff compositing operator to use.